classification
Title: make _ssl module 64-bit clean
Type: behavior Stage: resolved
Components: Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2014-06-16 16:18 by haypo, last changed 2014-07-07 20:29 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
ssl_64bit.patch haypo, 2014-06-16 16:18
Messages (7)
msg220736 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-06-16 16:18
Follow-up of issue #8677: patch to make the _ssl module 64-bit clean.
msg222037 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-01 14:38
New changeset 36e884e65e45 by Victor Stinner in branch '3.4':
Issue #21781: Make the ssl module "ssize_t clean" for parsing parameters.
http://hg.python.org/cpython/rev/36e884e65e45
msg222038 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-01 14:39
New changeset 26afcb8a87b9 by Victor Stinner in branch 'default':
(Merge 3.4) Issue #21781: Make the ssl module "ssize_t clean" for parsing
http://hg.python.org/cpython/rev/26afcb8a87b9
msg222475 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-07 16:53
This appears to have broken 64-bit Windows:

http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%203.x/builds/4745
msg222505 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-07 19:53
New changeset 34a0d98c51ea by Victor Stinner in branch '3.4':
Issue #21781, _ssl: Fix asn1obj2py() on Windows 64-bit, "s#" format requires
http://hg.python.org/cpython/rev/34a0d98c51ea

New changeset 1dca2e7ad5ad by Victor Stinner in branch 'default':
(Merge 3.4) Issue #21781, _ssl: Fix asn1obj2py() on Windows 64-bit, "s#" format
http://hg.python.org/cpython/rev/1dca2e7ad5ad
msg222506 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-07-07 19:56
> This appears to have broken 64-bit Windows

Correct, I missed a call to Py_BuildValue() which uses the s# format. It's now fixed. Thanks for the report!

I keep the issue open until the buildbot turns green again.
msg222512 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-07 20:29
Looks good now, thanks for the quick fix, Victor!
History
Date User Action Args
2014-07-07 20:29:14zach.waresetstatus: open -> closed
versions: + Python 3.4
type: behavior
messages: + msg222512

resolution: fixed
stage: resolved
2014-07-07 19:56:10hayposetmessages: + msg222506
2014-07-07 19:53:26python-devsetmessages: + msg222505
2014-07-07 16:53:56zach.waresetstatus: closed -> open

nosy: + zach.ware
messages: + msg222475

resolution: fixed -> (no value)
2014-07-01 14:39:56hayposetstatus: open -> closed
resolution: fixed
2014-07-01 14:39:33python-devsetmessages: + msg222038
2014-07-01 14:38:32python-devsetnosy: + python-dev
messages: + msg222037
2014-06-16 16:18:56haypocreate